aboutsummaryrefslogtreecommitdiff
path: root/src/benchmark/taler-benchmark-setup.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2023-06-05 15:58:03 +0200
committerChristian Grothoff <christian@grothoff.org>2023-06-05 15:58:03 +0200
commit4355a0876993b32ac543c8d1c6423df6d3d744ab (patch)
tree3f13aef15732fccc4589650a75648a00a64bd538 /src/benchmark/taler-benchmark-setup.sh
parent4a86d411dec9769aae5ea2a696eb6020954028aa (diff)
downloadexchange-4355a0876993b32ac543c8d1c6423df6d3d744ab.tar.xz
-docu
Diffstat (limited to 'src/benchmark/taler-benchmark-setup.sh')
-rwxr-xr-xsrc/benchmark/taler-benchmark-setup.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/src/benchmark/taler-benchmark-setup.sh b/src/benchmark/taler-benchmark-setup.sh
index 10eef9c5e..57f2e0cde 100755
--- a/src/benchmark/taler-benchmark-setup.sh
+++ b/src/benchmark/taler-benchmark-setup.sh
@@ -17,7 +17,14 @@
# License along with TALER; see the file COPYING. If not, see
# <http://www.gnu.org/licenses/>
#
-
+# Author: Christian Grothoff
+#
+# This script configures and launches various GNU Taler services.
+# Which ones depend on command-line options. Use "-h" to find out.
+# Prints "<<READY>>" on a separate line once all requested services
+# are running. Close STDIN (or input 'NEWLINE') to stop all started
+# services again.
+#
set -eu
# Exit, with status code "skip" (no 'real' failure)
@@ -155,6 +162,7 @@ CURRENCY=$(taler-config -c "$CONF" -s "TALER" -o "CURRENCY")
register_sandbox_account() {
export LIBEUFIN_SANDBOX_USERNAME="$1"
export LIBEUFIN_SANDBOX_PASSWORD="$2"
+ # FIXME-MS: delete should be removed after we make 'register' idempotent!
libeufin-cli sandbox \
demobank \
delete \
@@ -239,11 +247,13 @@ then
export LIBEUFIN_SANDBOX_USERNAME="admin"
export LIBEUFIN_SANDBOX_PASSWORD="secret"
echo -n "Create EBICS host at Sandbox.."
+ # FIXME-MS: || true should be removed after we make 'create' idempotent!
libeufin-cli sandbox \
--sandbox-url "$LIBEUFIN_SANDBOX_URL" \
ebicshost create --host-id talerebics &> libeufin-sandbox-ebicshost-create.log || true
echo "OK"
echo -n "Create exchange EBICS subscriber at Sandbox.."
+ # FIXME-MS: || true should be removed after we make 'new-ebicssubscriber' idempotent!
libeufin-cli sandbox \
demobank new-ebicssubscriber --host-id talerebics \
--user-id exchangeebics --partner-id talerpartner \
@@ -347,7 +357,7 @@ fi
if [ "1" = "$START_FAKEBANK" ]
then
echo "Setting up fakebank ..."
- taler-fakebank-run -c "$CONF" -L "$LOGLEVEL" 2> taler-fakebank-run.log &
+ $USE_VALGRIND taler-fakebank-run -c "$CONF" -L "$LOGLEVEL" 2> taler-fakebank-run.log &
fi